Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

chore: update @eslint/eslintrc to avoid different versions of js-yaml #15265

Merged
merged 1 commit into from Nov 5, 2021

Conversation

mdjermanovic
Copy link
Member

@mdjermanovic mdjermanovic commented Nov 5, 2021

Prerequisites checklist

What is the purpose of this pull request? (put an "X" next to an item)

[ ] Documentation update
[ ] Bug fix (template)
[ ] New rule (template)
[ ] Changes an existing rule (template)
[ ] Add autofixing to a rule
[ ] Add a CLI option
[ ] Add something to the core
[x] Other, please explain:

Updates @eslint/eslintrc dependency in order to include eslint/eslintrc#61 and thus complete eslint/eslintrc#59.

What changes did you make? (Give an overview)

Updated package.json with "@eslint/eslintrc": "^1.0.4", and fixed one test that relies on an error message from js-yaml, which has changed in js-yaml v4.

Is there anything you'd like reviewers to focus on?

@mdjermanovic mdjermanovic added accepted There is consensus among the team that this change meets the criteria for inclusion upgrade This change is related to a dependency upgrade labels Nov 5, 2021
@mdjermanovic mdjermanovic merged commit cf5b6be into main Nov 5, 2021
14 checks passed
@mdjermanovic mdjermanovic deleted the eslintrc-1.0.4 branch Nov 5, 2021
@eslint-github-bot eslint-github-bot bot locked and limited conversation to collaborators May 5, 2022
@eslint-github-bot eslint-github-bot bot added the archived due to age This issue has been archived; please open a new issue for any further discussion label May 5, 2022
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
accepted There is consensus among the team that this change meets the criteria for inclusion archived due to age This issue has been archived; please open a new issue for any further discussion upgrade This change is related to a dependency upgrade
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

1 participant